# Group (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard

## Class Group

- java.lang.Object
- - net.fortuna.ical4j.vcard.Group

All Implemented Interfaces:
  Serializable

    public class Group
    extends Object
    implements Serializable

A property group. $Id$ Created on: 30/12/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Group.Id` Enumeration of group identifiers.

### Field Summary

Fields
`static Group` `HOME` The pre-defined home group.
`static Group` `WORK` The pre-defined work group.

### Constructor Summary

Constructors
Constructor and Description
`Group(Group.Id id)`
`Group(String extendedName)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### WORK

    public static final Group WORK

The pre-defined work group.

#### HOME

    public static final Group HOME

The pre-defined home group.

### Constructor Detail

#### Group

    public Group(String extendedName)

Parameters:
  `extendedName` - a non-standard group name

#### Group

    public Group(Group.Id id)

Parameters:
  `id` - the group type

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`
Returns:
  a vCard-compliant string representation of the group